import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType } from 'vue';
export declare const Code: DefineComponent<{
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: PropType<"tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill" | "circle">;
        default: string;
    };
    theme: StringConstructor;
    /**
     * @zh 需要高亮的代码
     */
    code: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 显示代码语言
     */
    showLanguage: BooleanConstructor;
    /**
     * @zh 显示行号
     */
    showLineNumbers: BooleanConstructor;
    /**
     * @zh 高亮的行号
     */
    highlightedLineNumbers: PropType<number[] | number[][]>;
    /**
     * @zh 使用行内样式
     */
    inline: BooleanConstructor;
    /**
     * @zh 代码语言
     */
    language: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: PropType<"tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill" | "circle">;
        default: string;
    };
    theme: StringConstructor;
    /**
     * @zh 需要高亮的代码
     */
    code: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 显示代码语言
     */
    showLanguage: BooleanConstructor;
    /**
     * @zh 显示行号
     */
    showLineNumbers: BooleanConstructor;
    /**
     * @zh 高亮的行号
     */
    highlightedLineNumbers: PropType<number[] | number[][]>;
    /**
     * @zh 使用行内样式
     */
    inline: BooleanConstructor;
    /**
     * @zh 代码语言
     */
    language: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    shape: "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill" | "circle";
    inline: boolean;
    beautifyScrollbar: boolean;
    showLanguage: boolean;
    showLineNumbers: boolean;
    language: string;
}>;
//# sourceMappingURL=code.d.ts.map