import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const Device: DefineComponent<{
    color: StringConstructor;
    textColor: StringConstructor;
    variant: {
        type: PropType<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    model: StringConstructor;
    autoHeight: BooleanConstructor;
    battery: {
        type: NumberConstructor;
        default: number;
    };
    operator: {
        type: StringConstructor;
        default: string;
    };
    headerColor: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    color: StringConstructor;
    textColor: StringConstructor;
    variant: {
        type: PropType<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    model: StringConstructor;
    autoHeight: BooleanConstructor;
    battery: {
        type: NumberConstructor;
        default: number;
    };
    operator: {
        type: StringConstructor;
        default: string;
    };
    headerColor: StringConstructor;
}>>, {
    tag: string;
    variant: "text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined";
    autoHeight: boolean;
    battery: number;
    operator: string;
}>;
export declare type Device = InstanceType<typeof Device>;
//# sourceMappingURL=device.d.ts.map