import type { PropType, DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const makeColProps: <Defaults extends {
    alignSelf?: unknown;
    order?: unknown;
    offset?: unknown;
    cols?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    alignSelf: unknown extends Defaults["alignSelf"] ? {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    } : Omit<{
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["alignSelf"] ? string : string | Defaults["alignSelf"]>;
        default: unknown extends Defaults["alignSelf"] ? string : string | Defaults["alignSelf"];
    };
    order: unknown extends Defaults["order"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["order"] ? string | number : string | number | Defaults["order"]>;
        default: unknown extends Defaults["order"] ? string | number : string | number | Defaults["order"];
    };
    offset: unknown extends Defaults["offset"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["offset"] ? string | number : string | number | Defaults["offset"]>;
        default: unknown extends Defaults["offset"] ? string | number : string | number | Defaults["offset"];
    };
    cols: unknown extends Defaults["cols"] ? {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    } : Omit<{
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["cols"] ? string | number | boolean : string | number | boolean | Defaults["cols"]>;
        default: unknown extends Defaults["cols"] ? string | number | boolean : string | number | boolean | Defaults["cols"];
    };
};
export declare type Col = InstanceType<typeof Col>;
export declare const Col: DefineComponent<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    tag: string;
    offset: string | number;
    cols: string | number | boolean;
    order: string | number;
    alignSelf: string;
}>;
//# sourceMappingURL=col.d.ts.map