var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { createVNode } from "vue";
import "./styles/header-title.scss";
import { defineComponent } from "../../utils/define-component.mjs";
import { makeTagProps } from "../../composables/tag/index.mjs";
const HeaderTitle = defineComponent({
  name: "VeHeaderTitle",
  props: __spreadValues({
    text: String
  }, makeTagProps({
    tag: "header"
  })),
  setup(props, {
    slots
  }) {
    return () => {
      const hasDefault = slots.default || props.text;
      return createVNode(props.tag, {
        "class": "ve-header-title"
      }, {
        default: () => {
          var _a, _b;
          return [hasDefault && createVNode("div", {
            "class": "ve-header-title__wrapper"
          }, [(_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text])];
        }
      });
    };
  }
});
export { HeaderTitle };
//# sourceMappingURL=header-title.mjs.map
