import { createVNode } from "vue";
import { defineComponent } from "../../utils/define-component.mjs";
import { makeIconSetProps } from "../../composables/icon/make-icon-props.mjs";
const IconLigature = defineComponent({
  name: "VeIconLigature",
  props: makeIconSetProps(),
  setup(props) {
    return () => {
      return createVNode(props.tag, null, {
        default: () => [props.icon]
      });
    };
  }
});
export { IconLigature };
//# sourceMappingURL=icon-ligature.mjs.map
