var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { createVNode } from "vue";
import "./styles/label.scss";
import { defineComponent } from "../../utils/define-component.mjs";
import { makeThemeProps } from "../../composables/theme/index.mjs";
const Label = defineComponent({
  name: "VeLabel",
  props: __spreadValues({
    disabled: Boolean,
    error: Boolean,
    text: String
  }, makeThemeProps()),
  setup(props, {
    slots
  }) {
    return () => {
      var _a, _b;
      return createVNode("label", {
        "class": ["ve-label", {
          "ve-label--disabled": props.disabled,
          "ve-label--error": props.error
        }]
      }, [(_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text]);
    };
  }
});
export { Label };
//# sourceMappingURL=label.mjs.map
