import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare type LayoutItem = InstanceType<typeof LayoutItem>;
export declare const LayoutItem: DefineComponent<{
    modelValue: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: {
        type: PropType<"fixed" | "absolute">;
        default: string;
    };
    anchor: {
        type: PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    modelValue: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: {
        type: PropType<"fixed" | "absolute">;
        default: string;
    };
    anchor: {
        type: PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}>>, {
    modelValue: boolean | undefined;
    anchor: "bottom" | "left" | "right" | "top";
    tag: string;
    position: "fixed" | "absolute";
    size: string | number;
    priority: string | number;
}>;
//# sourceMappingURL=layout-item.d.ts.map