import type { LayoutItem } from '../../composables/layout/types';
import type { DefineComponent, Prop, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare type Layout = InstanceType<typeof Layout>;
export declare const Layout: DefineComponent<{
    overlaps: Prop<string[], string[]>;
    fullHeight: BooleanConstructor;
    tag: {
        type: StringConstructor;
        default: string;
    };
}, {
    getLayoutItem: (id: string) => LayoutItem | undefined;
    items: ComputedRef<LayoutItem[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    overlaps: Prop<string[], string[]>;
    fullHeight: BooleanConstructor;
    tag: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    tag: string;
    fullHeight: boolean;
}>;
//# sourceMappingURL=layout.d.ts.map