import type { DefineComponent, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const NotificationProvider: DefineComponent<{
    registered: BooleanConstructor;
}, {
    items: Ref<{
        id: string;
        modelValue: boolean;
        text: string;
        duration: number;
        close: () => void;
    }[]>;
    open: (props?: Record<string, any> | undefined) => (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    info: (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    success: (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    warning: (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    error: (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    loading: (text: string, rest?: Record<string, any> | undefined) => Promise<unknown> | (() => void);
    close: (id: string) => void;
    remove: (id: string) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    registered: BooleanConstructor;
}>>, {
    registered: boolean;
}>;
//# sourceMappingURL=notification-provider.d.ts.map