import type { PropType, DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const makeProgressLinearProps: <Defaults extends {
    active?: unknown;
    modelValue?: unknown;
    strokeWidth?: unknown;
    indeterminate?: unknown;
    underlay?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    active: unknown extends Defaults["active"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["active"] ? boolean : boolean | Defaults["active"]>;
        default: unknown extends Defaults["active"] ? boolean : boolean | Defaults["active"];
    };
    modelValue: unknown extends Defaults["modelValue"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["modelValue"] ? string | number : string | number | Defaults["modelValue"]>;
        default: unknown extends Defaults["modelValue"] ? string | number : string | number | Defaults["modelValue"];
    };
    strokeWidth: unknown extends Defaults["strokeWidth"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["strokeWidth"] ? string | number : string | number | Defaults["strokeWidth"]>;
        default: unknown extends Defaults["strokeWidth"] ? string | number : string | number | Defaults["strokeWidth"];
    };
    indeterminate: unknown extends Defaults["indeterminate"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["indeterminate"] ? boolean : boolean | Defaults["indeterminate"]>;
        default: unknown extends Defaults["indeterminate"] ? boolean : boolean | Defaults["indeterminate"];
    };
    underlay: unknown extends Defaults["underlay"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["underlay"] ? boolean : boolean | Defaults["underlay"]>;
        default: unknown extends Defaults["underlay"] ? boolean : boolean | Defaults["underlay"];
    };
};
export declare const ProgressLinear: DefineComponent<{
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    strokeWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    indeterminate: BooleanConstructor;
    underlay: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    strokeWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    indeterminate: BooleanConstructor;
    underlay: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    modelValue: string | number;
    active: boolean;
    indeterminate: boolean;
    strokeWidth: string | number;
    underlay: boolean;
}>;
export declare function filterProgressLinearProps(attrs: Record<string, any>): [yes: Partial<Pick<Record<string, any>, string>>, no: Omit<Record<string, any>, string>];
//# sourceMappingURL=progress-linear.d.ts.map