import type { DefineComponent, PropType, TransitionProps, Component, ComputedOptions, MethodOptions, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const Scrim: DefineComponent<{
    transition: Omit<{
        type: PropType<string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "default" | "type"> & {
        type: PropType<string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        }) | {
            component: DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => VNode<RendererNode, RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
                mode: string;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        }>;
        default: string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        }) | {
            component: DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => VNode<RendererNode, RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
                mode: string;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        };
    };
    modelValue: BooleanConstructor;
    color: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    transition: Omit<{
        type: PropType<string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "default" | "type"> & {
        type: PropType<string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        }) | {
            component: DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => VNode<RendererNode, RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
                mode: string;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        }>;
        default: string | false | (TransitionProps & {
            component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
        }) | {
            component: DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => VNode<RendererNode, RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
                mode: string;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        };
    };
    modelValue: BooleanConstructor;
    color: StringConstructor;
}>>, {
    modelValue: boolean;
    transition: string | false | (TransitionProps & {
        component?: Component<any, any, any, ComputedOptions, MethodOptions> | undefined;
    }) | {
        component: DefineComponent<{
            group: BooleanConstructor;
            hideOnLeave: BooleanConstructor;
            leaveAbsolute: BooleanConstructor;
            mode: {
                type: StringConstructor;
                default: string | undefined;
            };
            origin: {
                type: StringConstructor;
                default: string;
            };
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }, () => VNode<RendererNode, RendererElement, {
            [key: string]: any;
        }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
            group: BooleanConstructor;
            hideOnLeave: BooleanConstructor;
            leaveAbsolute: BooleanConstructor;
            mode: {
                type: StringConstructor;
                default: string | undefined;
            };
            origin: {
                type: StringConstructor;
                default: string;
            };
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }>>, {
            group: boolean;
            mode: string;
            hideOnLeave: boolean;
            leaveAbsolute: boolean;
            origin: string;
        }>;
    };
}>;
//# sourceMappingURL=scrim.d.ts.map