import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const Spacer: DefineComponent<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: Omit<{
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<string | number | boolean>;
        default: string | number | boolean;
    };
    alignContent: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    justify: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    gutter: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    align: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: Omit<{
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<string | number | boolean>;
        default: string | number | boolean;
    };
    alignContent: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    justify: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    gutter: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    align: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
}>>, {
    offset: string | number;
    cols: string | number | boolean;
    order: string | number;
    alignSelf: string;
    gutter: string | number;
    align: string;
    justify: string;
    alignContent: string;
}>;
export declare type Spacer = InstanceType<typeof Spacer>;
//# sourceMappingURL=spacer.d.ts.map