import { createVNode } from "vue";
import { genericComponent } from "../../utils/define-component.mjs";
import { makeInputProps, InputEmits, Input } from "../input/input.mjs";
const Textarea = genericComponent()({
  name: "Textarea",
  props: makeInputProps({
    type: "textarea"
  }),
  emit: InputEmits,
  setup(props) {
    return () => {
      return createVNode(Input, props, null);
    };
  }
});
export { Textarea };
//# sourceMappingURL=textarea.mjs.map
