var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { toRef } from "vue";
import { defineComponent } from "../../utils/define-component.mjs";
import { makeVariantProps } from "../../composables/variant/index.mjs";
import { provideDefaults } from "../../composables/defaults/index.mjs";
const ToolbarItems = defineComponent({
  name: "VeToolbarItems",
  props: __spreadValues({}, makeVariantProps({
    variant: "contained-text"
  })),
  setup(props, {
    slots
  }) {
    provideDefaults({
      VeButton: {
        color: toRef(props, "color"),
        textColor: toRef(props, "textColor"),
        variant: toRef(props, "variant")
      }
    });
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});
export { ToolbarItems };
//# sourceMappingURL=toolbar-items.mjs.map
