import type { PropType, ComputedRef, ExtractPropTypes } from 'vue';
import type { MaybeRef } from '../../utils';
export declare type ElevationProps = ExtractPropTypes<ReturnType<typeof makeElevationProps>>;
export declare const makeElevationProps: <Defaults extends {
    elevation?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    elevation: unknown extends Defaults["elevation"] ? {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["elevation"] ? string | number : string | number | Defaults["elevation"]>;
        default: unknown extends Defaults["elevation"] ? string | number : string | number | Defaults["elevation"];
    };
};
export declare function useElevation(props: MaybeRef<ElevationProps>): {
    elevationClasses: ComputedRef<string[]>;
};
//# sourceMappingURL=index.d.ts.map