import { propsFactory } from "../../utils/dist/index.mjs";
import "vue";
const makeIconProps = propsFactory({
  icon: [String, Object, Function],
  tag: {
    type: String,
    default: "i"
  }
}, "icon");
const makeIconSetProps = propsFactory({
  icon: {
    type: [String, Object, Function],
    required: true
  },
  tag: {
    type: String,
    required: true
  }
}, "icon-set");
export { makeIconProps, makeIconSetProps };
//# sourceMappingURL=make-icon-props.mjs.map
