import type { PropType, ComputedRef, ExtractPropTypes,  Ref } from 'vue';
export declare const makeLazyProps: <Defaults extends {
    eager?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    eager: unknown extends Defaults["eager"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["eager"] ? boolean : boolean | Defaults["eager"]>;
        default: unknown extends Defaults["eager"] ? boolean : boolean | Defaults["eager"];
    };
};
export declare function useLazy(props: ExtractPropTypes<ReturnType<typeof makeLazyProps>>, active: Ref<boolean>): {
    isBooted: Ref<boolean>;
    hasContent: ComputedRef<boolean>;
    onAfterLeave: () => void;
};
//# sourceMappingURL=index.d.ts.map