import { computed } from "vue";
import { propsFactory, getCurrentInstanceName } from "../../utils/dist/index.mjs";
const makeLoadingProps = propsFactory({
  loading: Boolean
}, "loading");
function useLoading(props, name = getCurrentInstanceName()) {
  return {
    loadingClasses: computed(() => ({
      [`${name}--loading`]: props.loading
    }))
  };
}
export { makeLoadingProps, useLoading };
//# sourceMappingURL=index.mjs.map
