const classicActiveStrategy = (single) => {
  return ({ id, value, active }) => {
    const newActive = single ? /* @__PURE__ */ new Set() : active;
    if (value) {
      newActive.add(id);
    } else {
      newActive.delete(id);
    }
    return newActive;
  };
};
export { classicActiveStrategy };
//# sourceMappingURL=classicActiveStrategy.mjs.map
