import type { Ref } from 'vue';
import type { PositionStrategyData, PositionStrategyProps } from './index';
/**
 * 连接的定位策略
 *
 * @param data
 * @param props
 * @param contentStyles
 * @param anchorClasses
 */
export declare function connectedPositionStrategy(data: PositionStrategyData, props: PositionStrategyProps, contentStyles: Ref<Record<string, string>>, anchorClasses: Ref<string[]>): {
    updatePosition: () => void;
} | undefined;
//# sourceMappingURL=connected.d.ts.map