import type { WritableComputedRef } from 'vue';
export declare function useProxiedModel<Props extends object & {
    [key in Prop as `onUpdate:${Prop}`]: ((val: any) => void) | undefined;
}, Prop extends Extract<keyof Props, string>, Inner = Props[Prop]>(props: Props, prop: Prop, defaultValue?: Props[Prop], transformIn?: (value?: Props[Prop]) => Inner, transformOut?: (value: Inner) => Props[Prop]): WritableComputedRef<Inner>;
//# sourceMappingURL=index.d.ts.map