import { computed } from "vue";
import { propsFactory } from "../../utils/dist/index.mjs";
const makeScrollbar = propsFactory({
  beautifyScrollbar: {
    type: Boolean,
    default: true
  }
}, "scrollbar");
function useScrollbar(props) {
  const scrollbarClasses = computed(() => props.beautifyScrollbar ? "beautify-scrollbar" : null);
  return {
    scrollbarClasses
  };
}
export { makeScrollbar, useScrollbar };
//# sourceMappingURL=index.mjs.map
