import type { DeepReadonly, Ref } from 'vue';
interface SharedClickState {
    clickedEl: Ref<HTMLElement | undefined>;
    clickedPosition: DeepReadonly<Ref<{
        left: number;
        top: number;
    } | undefined>>;
}
export declare const useSharedClick: () => SharedClickState;
export {};
//# sourceMappingURL=index.d.ts.map