import type { DirectiveBinding, ObjectDirective } from 'vue';
declare type IntersectHandler = (isIntersecting: boolean, entries: IntersectionObserverEntry[], observer: IntersectionObserver) => void;
export interface IntersectDirectiveBinding extends Omit<DirectiveBinding, 'modifiers' | 'value'> {
    value?: IntersectHandler | {
        handler: IntersectHandler;
        options?: IntersectionObserverInit;
    };
    modifiers: {
        once?: boolean;
        quiet?: boolean;
    };
}
export declare const Intersect: ObjectDirective<HTMLElement>;
export default Intersect;
//# sourceMappingURL=index.d.ts.map