import type { App } from 'vue';
import * as components from './components';
import * as directives from './directives';
import * as providers from './providers';
import * as utils from './utils';
import type { VenoOptions } from './framework';
export declare const createVeno: (options?: VenoOptions) => {
    install: (app: App<any>) => void;
    version: string;
};
export { components, directives, providers, utils, };
export * from './composables';
export * from './resolver';
//# sourceMappingURL=entry.d.ts.map