import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const AnchorItem: DefineComponent<{
    value: {
        type: StringConstructor;
        required: true;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 文本
     */
    text: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    value: {
        type: StringConstructor;
        required: true;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 文本
     */
    text: StringConstructor;
}>>, {
    activeColor: string;
}>;
export declare type AnchorItem = InstanceType<typeof AnchorItem>;
//# sourceMappingURL=anchor-item.d.ts.map