import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType } from 'vue';
declare type AnchorItemProps = {
    [key: string]: any;
    text: string;
    value: string;
};
export declare const Anchor: DefineComponent<{
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    scrollTarget: {
        type: PropType<string | HTMLElement>;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 锚点项
     */
    items: PropType<AnchorItemProps[]>;
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    scrollTarget: {
        type: PropType<string | HTMLElement>;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 锚点项
     */
    items: PropType<AnchorItemProps[]>;
}>>, {
    offset: string | number;
    activeColor: string;
}>;
export declare type Anchor = InstanceType<typeof Anchor>;
export {};
//# sourceMappingURL=anchor.d.ts.map