import type { LayoutItem } from '../../composables/layout/types';
import type { ThemeInstance } from '../../composables/theme';
import type { DefineComponent, Prop, PropType, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const App: DefineComponent<{
    overlaps: Prop<string[], string[]>;
    fullHeight: {
        type: PropType<boolean>;
        default: boolean;
    };
    theme: StringConstructor;
}, {
    theme: ThemeInstance;
    getLayoutItem: (id: string) => LayoutItem | undefined;
    items: ComputedRef<LayoutItem[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    overlaps: Prop<string[], string[]>;
    fullHeight: {
        type: PropType<boolean>;
        default: boolean;
    };
    theme: StringConstructor;
}>>, {
    fullHeight: boolean;
}>;
//# sourceMappingURL=app.d.ts.map