import { createVNode } from "vue";
import "./styles/carousel-activator.scss";
import { genericComponent } from "../../utils/define-component.mjs";
const CarouselActivator = genericComponent()({
  name: "VeCarouselActivator",
  props: {
    active: Boolean
  },
  setup(props) {
    return () => createVNode("div", {
      "class": ["ve-carousel-activator", {
        "ve-carousel-activator--active": props.active
      }]
    }, null);
  }
});
export { CarouselActivator };
//# sourceMappingURL=carousel-activator.mjs.map
