import { createVNode } from "vue";
import { defineComponent } from "../../utils/define-component.mjs";
import { Button } from "../button/button.mjs";
const HeaderNavIcon = defineComponent({
  name: "VeHeaderNavIcon",
  props: {
    icon: {
      type: String,
      default: "$menu"
    }
  },
  setup(props, {
    slots
  }) {
    return () => createVNode(Button, {
      "class": "ve-header-nav-icon",
      "icon": props.icon
    }, slots);
  }
});
export { HeaderNavIcon };
//# sourceMappingURL=header-nav-icon.mjs.map
