import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType } from 'vue';
export declare const Link: DefineComponent<{
    underline: {
        type: PropType<boolean | "hover">;
        default: string;
    };
    linkIcon: {
        type: StringConstructor;
        default: string;
    };
    prependIcon: (BooleanConstructor | StringConstructor | ObjectConstructor)[];
    appendIcon: (BooleanConstructor | StringConstructor | ObjectConstructor)[];
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    underline: {
        type: PropType<boolean | "hover">;
        default: string;
    };
    linkIcon: {
        type: StringConstructor;
        default: string;
    };
    prependIcon: (BooleanConstructor | StringConstructor | ObjectConstructor)[];
    appendIcon: (BooleanConstructor | StringConstructor | ObjectConstructor)[];
}>>, {
    underline: boolean | "hover";
    linkIcon: string;
}>;
export declare type Link = InstanceType<typeof Link>;
//# sourceMappingURL=link.d.ts.map