var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { defineComponent } from "../../utils/define-component.mjs";
import { makeGroupItemProps, useGroupItem } from "../../composables/group/index.mjs";
import { SlideGroupKey } from "./slide-group.mjs";
const SlideGroupItem = defineComponent({
  name: "VeSlideGroupItem",
  props: __spreadValues({}, makeGroupItemProps()),
  setup(props, {
    slots
  }) {
    const group = useGroupItem(props, SlideGroupKey);
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots, {
        isSelected: group.isSelected.value,
        select: group.select
      });
    };
  }
});
export { SlideGroupItem };
//# sourceMappingURL=slide-group-item.mjs.map
