import type { DefineComponent, Prop, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare const ExpandTransition: DefineComponent<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}, () => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}>>, {
    group: boolean;
}>;
export declare const ExpandXTransition: DefineComponent<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}, () => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}>>, {
    group: boolean;
}>;
//# sourceMappingURL=expand-transition.d.ts.map