interface HTMLExpandElement extends HTMLElement {
    _parent?: (Node & ParentNode & HTMLElement) | null;
    _initialStyle?: {
        transition: string;
        overflow: string;
        height?: string | null;
        width?: string | null;
    };
}
export declare function expandTransitionGenerator(expandedParentClass?: string, x?: boolean): {
    onBeforeEnter(el: HTMLExpandElement): void;
    onEnter(el: HTMLExpandElement): void;
    onAfterEnter: (el: HTMLExpandElement) => void;
    onEnterCancelled: (el: HTMLExpandElement) => void;
    onLeave(el: HTMLExpandElement): void;
    onAfterLeave: (el: HTMLExpandElement) => void;
    onLeaveCancelled: (el: HTMLExpandElement) => void;
};
export declare function fadeInExpandTransitionGenerator(x?: boolean, reverse?: boolean): {
    onBeforeLeave: (el: HTMLElement) => void;
    onLeave: (el: HTMLElement) => void;
    onAfterLeave: (el: HTMLElement) => void;
    onEnter: (el: HTMLElement) => void;
    onAfterEnter: (el: HTMLElement) => void;
};
export {};
//# sourceMappingURL=expand-transition-generator.d.ts.map