import type { PropType, ComputedRef, ExtractPropTypes } from 'vue';
import type { MaybeRef } from '../../utils';
export declare type BorderProps = ExtractPropTypes<ReturnType<typeof makeBorderProps>>;
export declare const makeBorderProps: <Defaults extends {
    border?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    border: unknown extends Defaults["border"] ? (BooleanConstructor | StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["border"] ? string | number | boolean : string | number | boolean | Defaults["border"]>;
        default: unknown extends Defaults["border"] ? string | number | boolean : string | number | boolean | Defaults["border"];
    };
};
export declare function useBorder(props: MaybeRef<BorderProps>, name?: string): {
    borderClasses: ComputedRef<string[]>;
};
//# sourceMappingURL=index.d.ts.map