export declare const MAP: {
    readonly year: {
        readonly alias: "Y";
        readonly get: "getFullYear";
        readonly set: "setFullYear";
        readonly startOf: "YYYY-01-01 00:00:00";
        readonly endOf: "YYYY-12-$1 23:59:59.999";
    };
    readonly month: {
        readonly alias: "M";
        readonly get: "getMonth";
        readonly set: "setMonth";
        readonly startOf: "YYYY-MM-01 00:00:00";
        readonly endOf: "YYYY-MM-31 23:59:59.999";
    };
    readonly day: {
        readonly alias: "D";
        readonly get: "getDate";
        readonly set: "setDate";
        readonly startOf: "YYYY-MM-DD 00:00:00";
        readonly endOf: "YYYY-MM-DD 23:59:59.999";
    };
    readonly hour: {
        readonly alias: "H";
        readonly get: "getHours";
        readonly set: "setHours";
        readonly startOf: "YYYY-MM-DD HH:00:00";
        readonly endOf: "YYYY-MM-DD HH:59:59.999";
    };
    readonly minute: {
        readonly alias: "m";
        readonly get: "getMinutes";
        readonly set: "setMinutes";
        readonly startOf: "YYYY-MM-DD HH:mm:00";
        readonly endOf: "YYYY-MM-DD HH:mm:59.999";
    };
    readonly second: {
        readonly alias: "s";
        readonly get: "getSeconds";
        readonly set: "setSeconds";
        readonly startOf: "YYYY-MM-DD HH:mm:ss.000";
        readonly endOf: "YYYY-MM-DD HH:mm:ss.999";
    };
    readonly millisecond: {
        readonly alias: "ms";
        readonly get: "getMilliseconds";
        readonly set: "setMilliseconds";
        readonly startOf: "YYYY-MM-DD HH:mm:ss.000";
        readonly endOf: "YYYY-MM-DD HH:mm:ss.999";
    };
};
//# sourceMappingURL=constants.d.ts.map