import type { PropType, ComputedRef } from 'vue';
import type { MaybeRef } from '../../utils';
export interface DisabledProps {
    disabled?: boolean;
}
export declare const makeDisabledProps: <Defaults extends {
    disabled?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    disabled: unknown extends Defaults["disabled"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"]>;
        default: unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"];
    };
};
export declare function useDisabled(props: MaybeRef<DisabledProps>, name?: string): {
    disabledClasses: ComputedRef<{
        [x: string]: boolean | undefined;
    }>;
};
//# sourceMappingURL=index.d.ts.map