import type { PropType, ComputedRef } from 'vue';
export interface LoadingProps {
    loading?: boolean;
}
export declare const makeLoadingProps: <Defaults extends {
    loading?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    loading: unknown extends Defaults["loading"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["loading"] ? boolean : boolean | Defaults["loading"]>;
        default: unknown extends Defaults["loading"] ? boolean : boolean | Defaults["loading"];
    };
};
export declare function useLoading(props: LoadingProps, name?: string): {
    loadingClasses: ComputedRef<{
        [x: string]: boolean | undefined;
    }>;
};
//# sourceMappingURL=index.d.ts.map