import { ref, onBeforeUpdate } from "vue";
function useRefs() {
  const refs = ref([]);
  onBeforeUpdate(() => refs.value = []);
  function updateRef(e, i) {
    refs.value[i] = e;
  }
  return { refs, updateRef };
}
export { useRefs };
//# sourceMappingURL=index.mjs.map
