import type { PropType, ComputedRef, ExtractPropTypes } from 'vue';
export declare const makeScrollbar: <Defaults extends {
    beautifyScrollbar?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    beautifyScrollbar: unknown extends Defaults["beautifyScrollbar"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["beautifyScrollbar"] ? boolean : boolean | Defaults["beautifyScrollbar"]>;
        default: unknown extends Defaults["beautifyScrollbar"] ? boolean : boolean | Defaults["beautifyScrollbar"];
    };
};
export declare function useScrollbar(props: ExtractPropTypes<ReturnType<typeof makeScrollbar>>): {
    scrollbarClasses: ComputedRef<"beautify-scrollbar" | null>;
};
//# sourceMappingURL=index.d.ts.map