import type { PropType, ExtractPropTypes } from 'vue';
export declare type TagProps = ExtractPropTypes<ReturnType<typeof makeTagProps>>;
export declare const makeTagProps: <Defaults extends {
    tag?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    tag: unknown extends Defaults["tag"] ? {
        type: StringConstructor;
        default: string;
    } : Omit<{
        type: StringConstructor;
        default: string;
    }, "default" | "type"> & {
        type: PropType<unknown extends Defaults["tag"] ? string : string | Defaults["tag"]>;
        default: unknown extends Defaults["tag"] ? string : string | Defaults["tag"];
    };
};
//# sourceMappingURL=index.d.ts.map