declare const _default: {
    defaultTheme: string;
    themes: {
        light: {
            dark: boolean;
            colors: {
                background: string;
                'on-background': string;
                surface: string;
                'on-surface': string;
                'surface-variant': string;
                'on-surface-variant': string;
                primary: string;
                secondary: string;
                'on-secondary': string;
                error: string;
                info: string;
                success: string;
                warning: string;
            };
            variables: {
                'border-color': string;
                'border-opacity': number;
                'high-emphasis-opacity': number;
                'medium-emphasis-opacity': number;
                'disabled-opacity': number;
                'idle-opacity': number;
                'hover-opacity': number;
                'focus-opacity': number;
                'selected-opacity': number;
                'activated-opacity': number;
                'pressed-opacity': number;
                'dragged-opacity': number;
            };
        };
        dark: {
            dark: boolean;
            colors: {
                background: string;
                surface: string;
                'surface-variant': string;
                'on-surface-variant': string;
                primary: string;
                secondary: string;
                'on-secondary': string;
                error: string;
                info: string;
                success: string;
                warning: string;
            };
            variables: {
                'border-color': string;
                'border-opacity': number;
                'high-emphasis-opacity': number;
                'medium-emphasis-opacity': number;
                'disabled-opacity': number;
                'idle-opacity': number;
                'hover-opacity': number;
                'focus-opacity': number;
                'selected-opacity': number;
                'activated-opacity': number;
                'pressed-opacity': number;
                'dragged-opacity': number;
            };
        };
    };
};
export default _default;
//# sourceMappingURL=default-options.d.ts.map