var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { h, mergeProps, Transition } from "vue";
import { propsFactory } from "../../utils/dist/index.mjs";
const makeTransitionProps = propsFactory({
  transition: {
    type: [Boolean, String, Object],
    default: "ve-fade-transition",
    validator: (val) => val !== true
  }
}, "transition");
const MaybeTransition = (props, { slots }) => {
  var _b;
  const _a = props, { transition } = _a, rest = __objRest(_a, ["transition"]);
  if (!transition || typeof transition === "boolean")
    return (_b = slots.default) == null ? void 0 : _b.call(slots);
  const _c = typeof transition === "object" ? transition : {}, { component = Transition } = _c, customProps = __objRest(_c, ["component"]);
  return h(component, mergeProps(typeof transition === "string" ? { name: transition } : customProps, rest), slots);
};
export { MaybeTransition, makeTransitionProps };
//# sourceMappingURL=index.mjs.map
